<?php
// $Id: 5_ApacheBandwidth.php.defaults.Vsite 1143 2008-06-06 02:14:18Z mstauber $
//
// ui extension to set settings for apache bandwidth Vsite creation

if(defined("ApacheBandwidth_EXTENSION_DEFAULT_VSITE"))
{
    return 1;
}
define("ApacheBandwidth_EXTENSION_DEFAULT_VSITE", 1);

include_once("UIExtension.php");

class ApacheBandwidthExtension extends UIExtension
{
    function display(&$helper, &$container, &$cce_info)
    {
        $factory =& $helper->getHtmlComponentFactory("base-apache-bandwidth");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($cce_info["CCE_SERVICES_OID"], "ApacheBandwidth");
        
        $bandSpeed =& $factory->getInteger("ApacheBandwidthSpeed",
                                           $defaults["speed"], 10);
        $pageId = 'webScripting';
        if (!in_array('webScripting', $container->getPageIds()))
        {
            $container->addPage(
                $pageId, 
                $factory->getLabel($pageId));
        }

        // More PGP5 conversion bugs! In tabbed environments the values from composite form fields don't
        // get posted if you're not right on the tab where the input box is. This work around adds it as
        // hidden field on all tabs:

        $hidden_block = $factory->getTextBlock("ApacheBandwidthSpeed", $defaults["speed"]);
        $hidden_block->setOptional(true);
        $container->addFormField(
            $hidden_block,
            $factory->getLabel("ApacheBandwidthSpeed"),
            "Hidden"
        );

        $bandToggle =& $factory->getMultiChoice('ApacheBandwidth_enabled');
        $enable =& $factory->getOption('enabled', $defaults['enabled']);
        $enable->setLabel($factory->getLabel('ApacheBandwidth', false));
        $enable->addFormField($bandSpeed, $factory->getLabel("bandSpeed"), $pageId);
        $bandToggle->addOption($enable);

	$container->addFormField(
		    $bandToggle,
		    $factory->getLabel('ApacheBandwidth'),
		    $pageId
        );
    }

    function handle(&$helper, &$errors, &$cce_info)
    {
        global $ApacheBandwidth_enabled, $ApacheBandwidthSpeed;

        $cce = $helper->getCceClient();

        if (isset($ApacheBandwidth_enabled))
            $settings['enabled'] = ($ApacheBandwidth_enabled ? 1 : 0);

        $settings['speed'] = $ApacheBandwidthSpeed;

        $cce->set($cce_info['CCE_SERVICES_OID'], 'ApacheBandwidth', $settings);
        $errors = array_merge($errors, $cce->errors());
    }
}

?>
